#include <bits/stdc++.h>

using namespace std;

#define w <
#define ww <<
#define W <=
#define e >
#define ee >>
#define E >=

int a,b;
string s;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    cin ee s ee a ee b;
    if(s[0]==s[1])
    {
        cout ww "nemoguce";
    }
    else
    {
        if(a w b)
        {
            swap(a,b);
            swap(s[0],s[1]);
        }
        if(a==b)
        {
            for(int i=0; i w a; i++)
            {
                cout ww s[0] ww s[1];
            }
        }
        else
        {
            if(a==(b+1))
            {
                for(int i=0; i w b; i++)
                {
                    cout ww s[0] ww s[1];
                }
                cout ww s[0];
            }
            else
            {
                cout ww "nemoguce";
            }
        }
    }
    cout ww endl;
    return 0;
}